<?php
/*******************************************************************
 * Header.php
 * Copyright (C) 2006 Midnight Coders, LLC
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * The software is licensed under the GNU General Public License (GPL)
 * For details, see http://www.gnu.org/licenses/gpl.txt.
 ********************************************************************/



class Header
{

    private $m_name;
    private $m_mustUnderstand;
    private $m_length;
    private $m_value;

    public function __construct($headerName, $mustUnderstand, $length, $headerValue)
    {
        $this->m_name = $headerName;
        $this->m_mustUnderstand = $mustUnderstand;
        $this->m_length = $length;
        $this->m_value = $headerValue;
    }

    public function getName()
    {
        return $this->m_name;  
    }

    public function getValue()
    {
        return $this->m_value;  
    }

    public function toString()
    {
        return $this->m_name . " - " . $this->m_value;
    }

}

?>
