<?php
/*******************************************************************
 * AnyTokenComparator.php
 * Copyright (C) 2006 Midnight Coders, LLC
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * The software is licensed under the GNU General Public License (GPL)
 * For details, see http://www.gnu.org/licenses/gpl.txt.
 ********************************************************************/
 require_once(WebOrb . "Security/ITokenComparator.php");

 class AnyTokenComparator
    implements ITokenComparator
 {
      private static $s_instance = null;
      
      private function __construct()
      {
          
      }
    
      public static function getInstance()
      {
        if(self::$s_instance == null)
          self::$s_instance = new AnyTokenComparator();
          
        return self::$s_instance;
      }
      
      public function match($token)
      {
        return true;  
      }
      
      
 }