package webdb.addressbook {
    
    import flash.utils.ByteArray;
    
    [RemoteClass(alias="webdb.addressbook.dto.Card")]
    public class Card {

        public var id:uint;
        public var lastName:String;
        public var firstName:String;
        public var lastNameYomi:String;
        public var firstNameYomi:String;
        public var company:String;
        public var tel:String;
        public var email:String;
        public var address:String;
        public var zip:String;
        public var url:String;
        public var birthday:Date;
        
        public var portrait:ByteArray;
        public var portraitUrl:String;
		public var versionNo:Number;
        /**
         * 姓・名を半角スペースで連結した文字列を返します。
         */
        public function get name():String {
            return lastName + " " + firstName;
        }
        
        /**
         * 姓・名のよみを半角スペースで連結した文字列を返します。
         */
        public function get yomi():String {
            return lastNameYomi + " " + firstNameYomi;
        }

    }

}
