<?php
/*******************************************************************
 * Datatypes.php
 * Copyright (C) 2006 Midnight Coders, LLC
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * The software is licensed under the GNU General Public License (GPL)
 * For details, see http://www.gnu.org/licenses/gpl.txt.
 ********************************************************************/



class Datatypes
{

    const NUMBER_DATATYPE_V1          = 0;
    const BOOLEAN_DATATYPE_V1         = 1;
    const UTFSTRING_DATATYPE_V1       = 2;
    const OBJECT_DATATYPE_V1          = 3;
    const NULL_DATATYPE_V1            = 5;
    const UNKNOWN_DATATYPE_V1         = 6;
    const POINTER_DATATYPE_V1         = 7;
    const OBJECTARRAY_DATATYPE_V1     = 8;
    const ENDOFOBJECT_DATATYPE_V1     = 9;
    const ARRAY_DATATYPE_V1           = 10;
    const DATE_DATATYPE_V1            = 11;
    const LONGUTFSTRING_DATATYPE_V1   = 12;
    const REMOTEREFERENCE_DATATYPE_V1 = 13;
    const RECORDSET_DATATYPE_V1       = 14;
    const PARSEDXML_DATATYPE_V1       = 15;
    const NAMEDOBJECT_DATATYPE_V1     = 16;
    const V3_DATATYPE                 = 17;
    const TOTAL_V1TYPES               = 18;

    const UNKNOWN_DATATYPE_V3      = 0;
    const NULL_DATATYPE_V3         = 1;
    const BOOLEAN_DATATYPE_FALSEV3 = 2;
    const BOOLEAN_DATATYPE_TRUEV3  = 3;
    const INTEGER_DATATYPE_V3      = 4;
    const DOUBLE_DATATYPE_V3       = 5;
    const UTFSTRING_DATATYPE_V3    = 6;
    const XML_DATATYPE_V3          = 7;
    const DATE_DATATYPE_V3         = 8;
    const ARRAY_DATATYPE_V3        = 9;
    const OBJECT_DATATYPE_V3       = 10;
    const LONGXML_DATATYPE_V3      = 11;
    const BYTEARRAY_DATATYPE_V3    = 12;
    const TOTAL_V3TYPES            = 13;

}

?>
