<?php
/*******************************************************************
 * ORBDateTime.php
 * Copyright (C) 2006 Midnight Coders, LLC
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * The software is licensed under the GNU General Public License (GPL)
 * For details, see http://www.gnu.org/licenses/gpl.txt.
 ********************************************************************/



class ORBDateTime
{

    private $m_milliseconds;
    private $m_timeZone;

    public function __construct($dateTimeMs, $timeZone)
    {
        $this->m_milliseconds = $dateTimeMs;
        $this->m_timeZone = $timeZone;
    }

    public function getTotalMs()
    {
        return $this->m_milliseconds;
    }

    public function getTimeZone()
    {
        return $this->m_timeZone;
    }

}

?>
