<?php
/*******************************************************************
 * ReferenceCache.php
 * Copyright (C) 2006 Midnight Coders, LLC
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * The software is licensed under the GNU General Public License (GPL)
 * For details, see http://www.gnu.org/licenses/gpl.txt.
 ********************************************************************/


    class ReferenceCache
    {
        private $m_cache;
      

		public function __construct()
		{
			$this->reset();
		}

		public function reset()
		{
			$this->m_cache = array();
		}

		public function addObject(&$obj)
		{
           $this->m_cache[] = $obj;
		}

		public function getId(&$obj)
		{
		  
		    for($i = 0; $i < count($this->m_cache ); $i++)
		    {
              if($this->m_cache[$i] === $obj)
                return $i;
            }
            
		    throw new Exception("Unknown object");
		}

		public function getObject($id)
		{
		  return $this->m_cache[$id];
		}
		
		public function hasObject( &$obj )
		{
		    //return in_array($obj, $this->m_cache);
		 
		    for($i = 0; $i < count($this->m_cache); $i++)
		    {
              if($this->m_cache[$i] === $obj)
                return true;
            }
            
            return false;
          
		}
		
    }
    
    
?>